<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import Logo from "./Logo.svg.svelte";
  import { EArea } from "../enums/EArea";
  import { ETheme } from "../enums/ETheme";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<header class="duration-200 bg-black text-neutral-100 flex py-2 px-16 sm:px-20 lg:px-24 xl:px-28 2xl:px-32 gap-1 items-end">
  <Logo theme={ETheme.LIGHT} {area} classes="w-12 h-12" />
  <h1 class="text-3xl font-bold flex uppercase items-end leading-[.72]">{area}</h1>
  <Dot {area} classes="w-2 h-2" />
</header>
